﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ListAccounts
{
    public partial class frmListAccounts : Form
    {
        public frmListAccounts()
        {
            InitializeComponent();
        }

        private void frmListAccounts_Load(object sender, EventArgs e)
        {
            Label1.Text = String.Format("Client: {0}", ConfigSamples.client);
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            const int accNoSize = 7;
            const int accNameSize = 64;
            StringBuilder accNo = new StringBuilder(accNoSize); // Use StringBuilder were strings are returned
            StringBuilder accName = new StringBuilder(accNameSize);

            if (XORBase5.DatabaseOpen(ConfigSamples.client) == XORBase5.DbOk)
            {
                // Initializing fields must be done after databaseopen and should be
                // done outside the loop.
                IntPtr kAccNo = XORBase5.RecordField(XORBase5.ACCOUNT, "ACCNO");
                IntPtr kAccName = XORBase5.RecordField(XORBase5.ACCOUNT, "ACCNAME");

                for (int ok = XORBase5.RecordFirst(XORBase5.ACCOUNT, 1); ok == XORBase5.DbOk; ok = XORBase5.RecordNext(XORBase5.ACCOUNT))
                {
                    XORBase5.FieldValueString(kAccNo, accNo, accNoSize);
                    XORBase5.FieldValueString(kAccName, accName, accNameSize);
                    ListBox1.Items.Add(String.Format("{0}  -  {1}", accNo.ToString(), accName.ToString()));
                }

                XORBase5.DatabaseClose();
            }
        }
    }
}
