﻿Imports System.Text

Public Class frmListClients

    Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button2.Click
        Close()
    End Sub

    ' An example of iterating through the clients available.
    ' ClientListInit initializes the search based on registry
    ' entries from a Visma Compact installation. If no local
    ' installation exists, use DatabaseSetPath to point to the
    ' root database path.
    ' The id part ClientNameType should be used when opening
    ' the database.
    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button1.Click
        Dim cl As ClientNameType = New ClientNameType()
        Dim result As Integer

        ' Set the database root path if Compact is not installed
        ' DatabaseSetPath("\\Server\Visma Compact\Företag")

        result = ClientListInit(cl)

        Do While result > 0
            listBox1.Items.Add(String.Format("{0} - {1}", cl.id, cl.name))
            result = ClientListNext(cl)
        Loop
    End Sub

    ' A simple example of finding the id from a selection in the listbox
    ' and retrieving a piece of data.
    Private Sub listBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles listBox1.SelectedIndexChanged
        label2.Text = ""

        If listBox1.SelectedItem <> Nothing Then

            Dim listRowItems As String() = listBox1.SelectedItem.ToString().Split(New Char() {" "c})

            If listRowItems.Length > 0 Then

                If DatabaseOpen(listRowItems(0)) = DbOk Then

                    Dim orgNo As StringBuilder = New StringBuilder(64)
                    Dim fOrgNo As Object = RecordField(XORBase5.CLIENT, "ORGNO")
                    XORBase5.FieldValueString(fOrgNo, orgNo, 64)
                    label2.Text = orgNo.ToString()
                    DatabaseClose()
                End If
            End If
        End If

    End Sub
End Class
