﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AddVoucher
{
    public partial class frmAddVoucher : Form
    {
        public frmAddVoucher()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            Label1.Text = String.Format("Client: {0}", ConfigSamples.client);
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            double amount;
            StringBuilder accno = new StringBuilder(); // Note that we need to use StringBuilder when the API returns a string
            int ret;
            string acc;

            amount = Convert.ToDouble(TextBox1.Text);

            if (XORBase5.DatabaseOpen(ConfigSamples.client) == XORBase5.DbOk)
            {
                if (XORBase5.VoucherOpen(0, 2010, 6, 21) > 0)
                {
                    // Error checking omitted for brevity
                    ret = XORBase5.GetReservedAccount(XORBase5.DEFSALES, accno, 7);
                    acc = accno.ToString();
                    ret = XORBase5.VoucherAddRow(acc, "Invoice 11", "", "", -amount);
                    XORBase5.GetReservedAccount(XORBase5.DEFCASH, accno, 7);
                    acc = accno.ToString();
                    ret = XORBase5.VoucherAddRow(acc, "Invoice 11", "", "", amount);

                    if (XORBase5.VoucherClose() > 0)
                        MessageBox.Show("Wrote voucher to database.");
                    else
                        MessageBox.Show("Could not write voucher");
                }

                XORBase5.DatabaseClose();
            }
        }
    }
}
